#cloud-config

write_files:

  # TLS certificates and keys

- encoding: b64
  content: ${nomad_tls_key_b64}
  owner: root:root
  path: /etc/nomad/tls.key
  permissions: '0644'
- encoding: b64
  content: ${nomad_tls_crt_b64}
  owner: root:root
  path: /etc/nomad/tls.crt
  permissions: '0644'
- encoding: b64
  content: ${nomad_ca_pem_b64}
  owner: root:root
  path: /etc/nomad/ca.pem
  permissions: '0644'
- encoding: b64
  content: ${consul_tls_key_b64}
  owner: root:root
  path: /etc/consul/tls.key
  permissions: '0644'
- encoding: b64
  content: ${consul_tls_crt_b64}
  owner: root:root
  path: /etc/consul/tls.crt
  permissions: '0644'
- encoding: b64
  content: ${consul_ca_pem_b64}
  owner: root:root
  path: /etc/consul/ca.pem
  permissions: '0644'

# Consul agent configuration

- encoding: b64
  content: ${retry_join_b64}
  owner: root:root
  path: /etc/consul/retry-join.json
  permissions: '0644'
- encoding: b64
  content: ${datacenter_b64}
  owner: root:root
  path: /etc/consul/datacenter.json
  permissions: '0644'
- encoding: b64
  content: ${consul_gossip_b64}
  owner: root:root
  path: /etc/consul/gossip.json
  permissions: '0644'
- encoding: b64
  content: ${acl_b64}
  owner: root:root
  path: /etc/consul/acl.hcl
  permissions: '0644'

# Nomad agent configuration

- encoding: b64
  content: ${consul_config_b64}
  owner: root:root
  path: /etc/nomad/consul.hcl
  permissions: '0644'
- encoding: b64
  content: ${storage_config_b64}
  owner: root:root
  path: /etc/nomad/storage.hcl
  permissions: '0644'
- encoding: b64
  content: ${tls_config_b64}
  owner: root:root
  path: /etc/nomad/tls.hcl
  permissions: '0644'
- encoding: b64
  content: ${vault_config_b64}
  owner: root:root
  path: /etc/nomad/vault.hcl
  permissions: '0644'
- encoding: b64
  content: ${nomad_env_b64}
  owner: root:root
  path: /run/nomad.env
  permissions: '0644'
